POST dealer/dealer_stock

Upload product stock by dealer (T+1)

Request Information
Parameters
Name Description
dealer
[Mandatory, string]
Dealer number , length must be 5. A five-digit number, made up of a unique 4-digit numerical dealer number and a single digit 5th numerical digit that denotes department type. Or corresponding SapBpNumber, length must be 6.
key
[Mandatory, Guid]
Dealer API key: The dealer provided the authorization key. The key can be foun by the dealer in the Dealernet portal under the "Dealer" menu option.
dealer_stock
[Mandatory, object]
Dealer stock information for uploading
product_number
[Mandatory, string]
Product number (can get from the crm/products api)
quantity
[Mandatory, int]
Product quantity
Request body formats
application/json
Example:
{
    "dealer_number" : "83289",
    "key" : "********-**50-****-****-11599*******",
    "dealer_stock" :[{
        "product_number" : "13102KRM315",
        "quantity" : 10
        },{
        "product_number" : "17950KAZ000",
        "quantity" : 10
    }]
} 
 or 
 {
    "dealer_number" : "408328",
    "key" : "********-**50-****-****-11599*******",
    "dealer_stock" :[{
        "product_number" : "13102KRM315",
        "quantity" : 10
        },{
        "product_number" : "17950KAZ000",
        "quantity" : 10
    }]
}
Response Information
Response body formats
application/json
Example:
{
  "delivery": true,
  "receipt": "The dealer stock list has been uploaded and will be processed overnight. Any errors will be added to the error file.",
  "time": --,
  "records": --,
  "rate":--,
  "sap_info":{}
}
 
Or Bad Response:
{
  "delivery": false,
  "receipt": "The dealer stock list has been uploaded fail.",
  "sap_info":{}
}
Notes

The 'key' in the request body example is masked for security.